E00Layer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.e00
Class E00Layer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.bbn.openmap.Layer
                      com.bbn.openmap.layer.OMGraphicHandlerLayer
                          com.bbn.openmap.layer.e00.E00Layer

All Implemented Interfaces:
  ProjectionListener, GestureResponsePolicy, OMGraphicHandler, ProjectionPainter, PropertyConsumer, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener

    public class E00Layer

extends OMGraphicHandlerLayer
implements java.awt.event.ActionListener

Description of the Class an Layer showing data from an .e00 file data is extracted with E00Parser class possibilities to filter arcs according to their types or value.

Examples of properties for OpenMap:

             ### E00 layer
             e00.class=com.bbn.openmap.layer.e00.E00Layer
             e00.prettyName=E00 file
             e00.FileName=data/france/hynet.e00
             ### E00 layer
             es00.class=E00.E00Layer
             es00.prettyName=ES00 file
             es00.FileName=data/france/rdline.e00
             es00.ArcColors= FF0000FF,FFEE5F3C,FFFFCC00,FF339700,FFFFFFFF,FFFFFFFF,FFFFFFFF,FFFFFFFF,FF666666,FFFFFFFF
             es00.ArcVisible=true
             es00.LabVisible=false
             es00.Tx7Visible=true
             es00.LabFont =Arial 10 ITALIC BOLD
             ###other properties Tx7Color LabColors SelectTx7Color SelectLabColor SelectArcColor LabTextColor Tx7Font

Since:
  OpenMap 4.5.5
Author:
  Thomas Paricaud
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.awt.Paint[]` | `ArcColors`
`protected OMGraphicList` | `arcs`
`protected boolean` | `ArcVisible`
`protected java.io.File` | `E00File`
`protected javax.swing.JFileChooser` | `fileChooser`
`protected int` | `filtreType`
`protected int` | `filtreValeur`
`protected javax.swing.JPanel` | `gui`
`protected java.awt.Paint[]` | `LabColors`
`protected javax.swing.JLabel` | `label`
`protected java.awt.Font` | `LabFont`
`protected OMGraphic` | `LabMarker`
`protected OMGraphicList` | `labs`
`protected java.awt.Paint` | `LabTextColor`
`protected boolean` | `LabVisible`
`protected java.awt.Paint` | `SelectArcColor`
`protected java.awt.Paint` | `SelectLabColor`
`protected java.awt.Paint` | `SelectTx7Color`
`protected OMGraphicList` | `tx7`
`protected java.awt.Paint` | `Tx7Color`
`protected java.awt.Font` | `Tx7Font`
`protected boolean` | `Tx7Visible`

Fields inherited from class com.bbn.openmap.layer.OMGraphicHandlerLayer
`consumeEvents, ConsumeEventsProperty, filter, interruptable, InterruptableProperty, layerWorker, LAYERWORKER_LOCK, layerWorkerQueue, logger, mouseEventInterpreter, mouseModeIDs, MouseModesProperty, projectionChangePolicy, ProjectionChangePolicyProperty, renderPolicy, RenderPolicyProperty, selectedList, TransparencyProperty`

Fields inherited from class com.bbn.openmap.Layer
`addAsBackground, AddAsBackgroundProperty, addToBeanContext, AddToBeanContextProperty, attributes, autoPalette, AutoPaletteProperty, beanContextChildSupport, coordTransform, DataPathPrefixProperty, DisplayPaletteCmd, DisplayPropertiesCmd, doHack, HidePaletteCmd, i18n, localHackList, maxScale, MaxScaleProperty, minScale, MinScaleProperty, palette, paletteListener, PrettyNameProperty, propertyPrefix, readyToPaint, RedrawCmd, removable, RemovableProperty, SWING_PACKAGE, TransformProperty, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`E00Layer()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Description of the Method
`protected void` | `addToGUI(javax.swing.JPanel gui, javax.swing.AbstractButton b, java.lang.String cmd)` Adds a feature to the GUI attribute of the E00Layer object
`protected void` | `addToGUI(javax.swing.JPanel gui, javax.swing.JTextField b, java.lang.String cmd)` Adds a feature to the Gui attribute of the E00Layer object
`protected java.io.File` | `chooseFile(int type)` Description of the Method
`protected void` | `exportArcs()` Description of the Method
`protected void` | `exportArcs1()` Description of the Method
`protected void` | `exportPoints()` Description of the Method
`protected void` | `filtre()` Description of the Method
`protected java.awt.Frame` | `getFrame()` Gets the Frame attribute of the E00Layer object
`java.awt.Component` | `getGUI()` Gets the GUI attribute of the E00Layer object
`java.lang.String` | `getInfoText(OMGraphic omg)` If applicable, should return a short, informational string about the OMGraphic to be displayed in the InformationDelegator.
`protected void` | `openFile(java.io.File f)` Description of the Method
`protected java.awt.Paint` | `parseColor(java.util.Properties props, java.lang.String prefix, java.lang.String prop, java.awt.Paint dfault)` Description of the Method
`protected java.awt.Paint[]` | `parseColors(java.util.Properties props, java.lang.String prefix, java.lang.String prop, java.awt.Paint err)` Description of the Method
`protected java.awt.Font` | `parseFont(java.util.Properties props, java.lang.String prefix, java.lang.String prop, java.awt.Font dfault)` Description of the Method
`OMGraphicList` | `prepare()` OMGraphicHandlerLayer method, get the OMGraphics from the data in the file.
`void` | `setListVisibility()`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Sets the properties for the `Layer`.

Methods inherited from class com.bbn.openmap.layer.OMGraphicHandlerLayer
`canSetList, copy, createLayerWorker, cut, deselect, dispose, doAction, doPrepare, filter, filter, filter, getConsumeEvents, getDefaultSettingsPanel, getFilter, getItemsForMapMenu, getItemsForOMGraphicMenu, getLayerWorker, getList, getMapMouseListener, getMouseEventInterpreter, getMouseModeIDsForEvents, getProjectionChangePolicy, getProperties, getPropertyInfo, getRedrawButton, getRenderPolicy, getSelected, getSettingsButton, getToolTipTextFor, getTransparency, getTransparencyAdjustmentPanel, highlight, isCancelled, isHighlightable, isInterruptable, isSelectable, isWorking, leftClick, mouseOver, paint, paste, projectionChanged, receivesMapEvents, renderDataForProjection, resetFiltering, select, setConsumeEvents, setFilter, setInterruptable, setLayerWorker, setList, setMouseEventInterpreter, setMouseModeIDsForEvents, setProjectionChangePolicy, setRenderPolicy, setTransparency, supportsSQL, unhighlight, workerComplete`

Methods inherited from class com.bbn.openmap.Layer
`addComponentListener, added, addInfoDisplayListener, addLayerStatusListener, addMouseListener, addVetoableChangeListener, childrenAdded, childrenRemoved, clearListeners, connectToBeanContext, createWindowSupport, disconnectFromBeanContext, finalize, findAndInit, findAndInit, findAndUndo, fireHideToolTip, firePaletteEvent, fireRequestBrowserContent, fireRequestBrowserContent, fireRequestCursor, fireRequestInfoLine, fireRequestInfoLine, fireRequestInfoLine, fireRequestMessage, fireRequestMessage, fireRequestToolTip, fireRequestToolTip, fireRequestURL, fireRequestURL, fireStatusUpdate, fireStatusUpdate, fireVetoableChange, getAddAsBackground, getAddToBeanContext, getAttribute, getBeanContext, getCoordTransform, getIcon, getMaxScale, getMinScale, getPackage, getPalette, getProjection, getPropertyPrefix, getWindowSupport, hasGUI, hidePalette, isAutoPalette, isProjectionOK, isReadyToPaint, isRemovable, notifyHideHack, prependDataPathPrefix, putAttribute, removeComponentListener, removeConfirmed, removed, removeInfoDisplayListener, removeLayerStatusListener, removeVetoableChangeListener, repaint, resetPalette, setAddAsBackground, setAddToBeanContext, setAutoPalette, setBeanContext, setCoordTransform, setIcon, setLayerProperties, setMaxScale, setMinScale, setName, setPaletteVisible, setProjection, setProjection, setProperties, setPropertyPrefix, setReadyToPaint, setRemovable, setVisible, setWindowSupport, showPalette`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### arcs

    protected OMGraphicList arcs

### labs

    protected OMGraphicList labs

### tx7

    protected OMGraphicList tx7

### ArcVisible

    protected boolean ArcVisible

### LabVisible

    protected boolean LabVisible

### Tx7Visible

    protected boolean Tx7Visible

### gui

    protected javax.swing.JPanel gui

### label

    protected javax.swing.JLabel label

### ArcColors

    protected java.awt.Paint[] ArcColors

### LabColors

    protected java.awt.Paint[] LabColors

### Tx7Color

    protected java.awt.Paint Tx7Color

### SelectTx7Color

    protected java.awt.Paint SelectTx7Color

### SelectLabColor

    protected java.awt.Paint SelectLabColor

### SelectArcColor

    protected java.awt.Paint SelectArcColor

### LabTextColor

    protected java.awt.Paint LabTextColor

### LabMarker

    protected OMGraphic LabMarker

### LabFont

    protected java.awt.Font LabFont

### Tx7Font

    protected java.awt.Font Tx7Font

### filtreValeur

    protected int filtreValeur

### filtreType

    protected int filtreType

### fileChooser

    protected javax.swing.JFileChooser fileChooser

### E00File

    protected java.io.File E00File

Constructor Detail

### E00Layer

    public E00Layer()

Method Detail

### prepare

    public OMGraphicList prepare()

  OMGraphicHandlerLayer method, get the OMGraphics from the data in the file.

  Overrides:
    `prepare` in class `OMGraphicHandlerLayer`

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Sets the properties for the `Layer`. This allows `Layer` s to get a richer set of parameters than the `setArgs` method.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMGraphicHandlerLayer`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object
  Since:

### getGUI

    public java.awt.Component getGUI()

  Gets the GUI attribute of the E00Layer object

  Overrides:
    `getGUI` in class `Layer`
  Returns:
    The GUI value
  Since:

### addToGUI

    protected void addToGUI(javax.swing.JPanel gui,
                            javax.swing.AbstractButton b,
                            java.lang.String cmd)

  Adds a feature to the GUI attribute of the E00Layer object

  Parameters:
    `b` - The feature to be added to the GUI attribute
    `cmd` - The feature to be added to the GUI attribute
  Since:

### addToGUI

    protected void addToGUI(javax.swing.JPanel gui,
                            javax.swing.JTextField b,
                            java.lang.String cmd)

  Adds a feature to the Gui attribute of the E00Layer object

  Parameters:
    `b` - The feature to be added to the Gui attribute
    `cmd` - The feature to be added to the Gui attribute
  Since:

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Description of the Method

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `OMGraphicHandlerLayer`
  Parameters:
    `e` - Description of Parameter
  Since:

### getInfoText

    public java.lang.String getInfoText(OMGraphic omg)

  Description copied from class: `OMGraphicHandlerLayer`
  If applicable, should return a short, informational string about the OMGraphic to be displayed in the InformationDelegator. Return null if nothing should be displayed.

  Specified by:
    `getInfoText` in interface `GestureResponsePolicy`
  Overrides:
    `getInfoText` in class `OMGraphicHandlerLayer`

### getFrame

    protected java.awt.Frame getFrame()

  Gets the Frame attribute of the E00Layer object

  Returns:
    The Frame value
  Since:

### setListVisibility

    public void setListVisibility()

### openFile

    protected void openFile(java.io.File f)

  Description of the Method

  Parameters:
    `f` - Description of Parameter
  Since:

### chooseFile

    protected java.io.File chooseFile(int type)

  Description of the Method

  Parameters:
    `type` - Description of Parameter
  Returns:
    Description of the Returned Value
  Since:

### filtre

    protected void filtre()

  Description of the Method

  Since:

### exportArcs

    protected void exportArcs()

  Description of the Method

  Since:

### exportArcs1

    protected void exportArcs1()

  Description of the Method

  Since:

### exportPoints

    protected void exportPoints()

  Description of the Method

  Since:

### parseColor

    protected java.awt.Paint parseColor(java.util.Properties props,
                                        java.lang.String prefix,
                                        java.lang.String prop,
                                        java.awt.Paint dfault)

  Description of the Method

  Parameters:
    `props` - Description of Parameter
    `prefix` - Description of Parameter
    `prop` - Description of Parameter
    `dfault` - Description of Parameter
  Returns:
    Description of the Returned Value
  Since:

### parseColors

    protected java.awt.Paint[] parseColors(java.util.Properties props,
                                           java.lang.String prefix,
                                           java.lang.String prop,
                                           java.awt.Paint err)

  Description of the Method

  Parameters:
    `props` - Description of Parameter
    `prefix` - Description of Parameter
    `prop` - Description of Parameter
    `err` - Description of Parameter
  Returns:
    Description of the Returned Value
  Since:

### parseFont

    protected java.awt.Font parseFont(java.util.Properties props,
                                      java.lang.String prefix,
                                      java.lang.String prop,
                                      java.awt.Font dfault)

  Description of the Method

  Parameters:
    `props` - Description of Parameter
    `prefix` - Description of Parameter
    `prop` - Description of Parameter
    `dfault` - Description of Parameter
  Returns:
    Description of the Returned Value
  Since:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details